#include <iostream>
#include <fstream>
#include <string>

#include <epplet.h>


double prev_time_val = NULL;
int time_val = NULL; 
Epplet_gadget *time = NULL;


static void cb_timer(void *data);
static void cb_close(void *data);

static void cb_close(void *data)
{
   	Epplet_unremember();
   	Esync();
   	exit(0);
}

static void cb_timer(void *data)
{
	data
class eApm {
	public:
		eApm();
		~eApm();	
		bool GetProcStatus();	
	
	private:
		string str, percent_remaining, time_remaining;
		size_t pos1, pos2;
};

eApm::eApm() {
	Epplet_Init("eApm", "0.1", "Enlightened Apm Monitor",
		    5, 5, NULL, NULL, 0);
	Epplet_timer(cb_timer, NULL, 0.333, "TIMER");
	Epplet_gadget_show(Epplet_create_button(NULL, NULL,
	   			2, 2, 0, 0, "CLOSE", 0, NULL,
				cb_close, NULL));
	GetProcStatus();
	Epplet_create_hbar(16, 3 + (i * 16), 62, 12,
				0, &(time));
}

eApm::~eApm() {
	// Nothing
}


bool eApm::GetProcStatus() {	
	
	std::ifstream fapm;
	fapm.open("/proc/apm");	
	std::getline(fapm, str, '\n');
	pos1 = str.find_first_of('%');
	pos1 = pos1 - 3;
	str.replace(0, pos1, "");
	pos2 = str.find_first_of(' ');
	if(pos2 == 0) {
		str.replace(0, pos2 + 1, "");
	}
	
	/* Figure out the percent remaining */
	percent_remaining = str;
	cout << percent_remaining << endl;
	return true;
}

int main() {
	eApm Apm;
	Apm.GetProcStatus();
	return 0;
}
	
